# Group ID - 2023-159
## 
## Project Title - Identification of diabetic eye disease using machine learning and image processing

## Group Members 


| Student Name | ID | Email| Contact Number |
|-----|------|------|-----|
|Wijesinghe.K.H	|IT20134358|it20134358@my.sliit.lk|071 8944639|
|Dilshan U.K. T|IT20124526|it20124526@my.sliit.lk|	0702050322|
|Dilshan K. B. G. L|IT20151188|it20151188@my.sliit.lk|	0773482114|
|Tharupathi M. A. U|IT20135102|it20135102@my.sliit.lk|0773371119|


## PROJECT DETAILS 
##### Diabetes is a chronic condition that affects a large portion of the global population, and unfortunately, it can lead to several eye-related complications such as Cataracts, Glaucoma, Diabetic Retinopathy, and Macular Degeneration. These diseases can cause severe vision loss and blindness if left untreated, making early and accurate detection critical for successful treatment. However, the current methods for diagnosing these diseases are facing a number of challenges. One of the biggest challenges is the difficulty of inexperienced healthcare professionals in accurately identifying the early stages of diabetic eye diseases, especially diabetic retinopathy. Without adequate training or expertise, healthcare professionals may miss critical signs of the disease, leading to delayed diagnoses and worse outcomes for patients. Another challenge is the time-consuming and resource-intensive manual process of diagnosing diabetic-related eye diseases. The process often requires specialist knowledge and expertise and can take a significant amount of time to perform. This puts a strain on healthcare systems, leading to long wait times for patients and reduced access to care. In government hospitals, the challenge is further exacerbated by the limited number of specialists available to diagnose many patients. This can result in an ineffective and inefficient diagnostic process, with patients having to wait for long periods of time to receive a diagnosis. A solution aimed at accurately identifying diabetic-related eye diseases in a timely and efficient manner is being developed in response to the challenges faced by the current methods of diagnosis. Artificial intelligence is being leveraged in the project to enhance the speed, consistency, and accuracy of diagnoses, leading to better outcomes for patients suffering from these diseases. The potential of this solution to transform the diagnosis of diabetic-related eye diseases and make care more accessible and effective for people with diabetes is being explored.

## Main Objective:
#### To enhance the accuracy and efficiency of diagnoses for diabetic eye diseases through the application of machine learning and image processing techniques
### Sub Objective 1:
#### To achieve the objective of detecting diabetic macular edema through analysis of optical coherence tomographic images of the eye, providing a reliable and accurate method of diagnosis

### Sub Objective 2:
#### To enhance the accuracy and efficiency of glaucoma identification, this functionality able to scan dilated fundus images as the primary source of information, leveraging advanced image processing techniques and machine learning algorithms to detect the early stages of glaucoma and provide more reliable diagnoses for patients.

### Sub Objective 3:
#### To Assist doctors with accurate, efficient and early diagnosis of cataracts Disease by analyzing a image of a eye with the disease and provide diagnosis with the necessary actions to be taken towards the disease. This system will enhance the early detection and management of diabetic patients' conditions.

### Sub Objective 4:
#### To identification and classification of diabetic retinopathy through the utilization of advanced image processing techniques and machine learning algorithms

